package com.dcsoft.system.consume.mapper;



import com.dcsoft.system.consume.domain.ConsumeReportUser;

import java.util.List;

/**
 * 考勤组人员Mapper接口
 *
 * @author dcsoft
 * @date 2023-01-11
 */
public interface ConsumeReportUserMapper
{
    /**
     * 查询考勤组人员
     *
     * @param reportId 考勤组人员主键
     * @return 考勤组人员
     */
    public ConsumeReportUser selectConsumeReportUserByReportId(Long reportId);

    /**
     * 查询考勤组人员列表
     *
     * @param consumeReportUser 考勤组人员
     * @return 考勤组人员集合
     */
    public List<ConsumeReportUser> selectConsumeReportUserList(ConsumeReportUser consumeReportUser);

    /**
     * 新增考勤组人员
     *
     * @param consumeReportUser 考勤组人员
     * @return 结果
     */
    public int insertConsumeReportUser(ConsumeReportUser consumeReportUser);

    /**
     * 修改考勤组人员
     *
     * @param consumeReportUser 考勤组人员
     * @return 结果
     */
    public int updateConsumeReportUser(ConsumeReportUser consumeReportUser);

    /**
     * 删除考勤组人员
     *
     * @param reportId 考勤组人员主键
     * @return 结果
     */
    public int deleteConsumeReportUserByReportId(Long reportId);

    /**
     * 批量删除考勤组人员
     *
     * @param reportIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteConsumeReportUserByReportIds(Long[] reportIds);


    public int batchReportUser(List<ConsumeReportUser> consumeReportUserList);

    /**
     * 删除考勤组人员
     *
     * @param reportId 考勤组人员主键
     * @return 结果
     */
    public int deleteConsumeReportUserByUserId(Long userId);

}
